System.ServiceModel 4.0.0.0 System.Object

Use the class to specify the text of the SOAP fault reason.

Represents the text of the reason of a SOAP fault.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class that uses the specified fault text.

  The text that is the SOAP fault reason.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class that uses the specified SOAP fault text and the specified object.

  The text that is the reason of the SOAP fault.
  The describing the language of the description.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  The text of the fault reason.
  The language of the fault.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether the language of the description matches provided object.

  true if the specified matches; otherwise, false.

  The object to compare with the language of the description.
- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the text of the SOAP fault reason.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the language of the SOAP fault reason.